This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 444926 - tomboy segfaults
tomboy segfaults
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: tomboy (Show other bugs)
9
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-01 19:55 EDT by Neal Becker
Modified: 2009-07-05 10:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-05 10:29:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Included the full /var/log/messages (1.60 MB, text/plain)
2008-05-16 10:21 EDT, David Timms
no flags Details

  None (edit)
Description Neal Becker 2008-05-01 19:55:11 EDT
Description of problem:
May  1 15:10:39 lakshmi kernel: tomboy[3742]: segfault at 15c720 ip 15c720 sp 
7fffc70f3728 error 14 in ld-2.8.so[32c0
00+1000]


Version-Release number of selected component (if applicable):
rpm -qf $(which tomboy)
tomboy-0.10.1-2.fc9.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Poelstra 2008-05-02 17:58:45 EDT
Please provide more information on how and when this problem occurs and how to
reproduce it.
Comment 2 Neal Becker 2008-05-02 20:04:24 EDT
Upgraded system from F8 -> rawhide using preupgrade.  Saw this in the syslog.
Comment 3 Bill Nottingham 2008-05-07 12:31:52 EDT
Does it consistently fail each time you log in, or was this a one-time occurrence?
Comment 4 Neal Becker 2008-05-07 12:58:13 EDT
Seems like 1-time.  I don't use tomboy afaik, don't even know what it is
Comment 5 Bug Zapper 2008-05-14 06:30:13 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Chris Ricker 2008-05-15 16:03:06 EDT
I'm seeing regular segfaults in tomboy also:

[root@scratchmonkey log]# grep segfault messages | grep tomboy
May 10 22:54:51 scratchmonkey kernel: tomboy[3088]: segfault at 15c890 ip 15c890
sp 7fff87d264f8 error 14 in ld-2.8.so[32c000+1000]
May 10 23:37:35 scratchmonkey kernel: tomboy[2941]: segfault at 15c720 ip 15c720
sp 7fffcc337e68 error 14 in ld-2.8.so[32c000+1000]
May 10 23:39:13 scratchmonkey kernel: tomboy[8651]: segfault at 15c720 ip 15c720
sp 7fffde3ea148 error 14 in ld-2.8.so[32c000+1000]
May 11 03:08:47 scratchmonkey kernel: tomboy[9278]: segfault at 15c720 ip 15c720
sp 7ffff8180898 error 14 in ld-2.8.so[32c000+1000]
May 12 12:38:41 scratchmonkey kernel: tomboy[2809]: segfault at 34b720 ip 34b720
sp 7fffc67acf48 error 14 in mono[400000+1f3000]
May 13 09:01:43 scratchmonkey kernel: tomboy[2840]: segfault at 34b720 ip 34b720
sp 7fff32fbee68 error 14 in mono[400000+1f3000]
May 13 09:04:25 scratchmonkey kernel: tomboy[8916]: segfault at 34b720 ip 34b720
sp 7fffb5ad4988 error 14 in mono[400000+1f3000]
May 13 09:07:15 scratchmonkey kernel: tomboy[9633]: segfault at 34b720 ip 34b720
sp 7fff013c1ef8 error 14 in mono[400000+1f3000]
[root@scratchmonkey log]# 

F9 final, x86_64, tomboy-0.10.1-2.fc9.x86_64


I don't actively use tomboy, other than the gnome autostarting, so not doing
anything in particular to trigger this
Comment 7 David Timms 2008-05-16 10:21:44 EDT
Created attachment 305687 [details]
Included the full /var/log/messages

# grep segfault messages-2008-05-16.a 
May 14 07:13:36 davidtnotebook kernel: tomboy[3204]: segfault at 4d3b548 ip
04d3b548 sp bffc0afc error 4 in libgnome-2.so.0.2200.0[4fe6000+15000]
May 14 08:34:15 davidtnotebook kernel: tomboy[2862]: segfault at 8ff4548 ip
08ff4548 sp bfed66cc error 4 in Mono.Addins.dll[9711000+2b000]
May 14 09:16:52 davidtnotebook kernel: tomboy[2656]: segfault at 0173f548 eip
0173f548 esp bfdcb2ac error 4
May 16 08:03:34 davidtnotebook kernel: tomboy[2893]: segfault at 791c548 ip
0791c548 sp bf998c6c error 4 in libgio-2.0.so.0.0.0[7941000+6c000]
May 16 08:14:08 davidtnotebook kernel: tomboy[2676]: segfault at 0714d548 eip
0714d548 esp bfaaa48c error 4
May 16 10:42:20 davidtnotebook kernel: tomboy[2629]: 
    segfault at 061ec548 eip 061ec548 esp bfd595bc error 4
May 16 21:24:08 davidtnotebook kernel: tomboy[2654]: 
    segfault at 7add548 ip 07add548 sp bfb7528c error 4 in
libgnomevfs-2.so.0.2200.0[7baf000+60000]
May 16 23:00:13 davidtnotebook kernel: tomboy[4605]: 
    segfault at 23bb548 ip 023bb548 sp bfafc6cc error 4 in
libgtk-x11-2.0.so.0.1200.9[24d9000+3f9000]

I kept my /home/* {on separate parition}, and reformatted /boot, / during a
fresh install of F9.
Might this only be when the user keeps their home dir from F8 ?
I have installed -debuginfo's so hopefully the log might contain more of a
trace.
Comment 8 Vasile Gaburici 2008-06-30 09:29:23 EDT
It seems to crash all over the place for me too, all with EINTR. This may or may
not be related to similar compiz EINTR crashes reported in bug 453407.

/var/log/messages:Jun 30 16:15:32 localhost kernel: tomboy[2600]: segfault at
6d4c548 ip 06d4c548 sp bfc10dfc error 4 in icon-theme.cache[70fa000+797000]
/var/log/messages-20080608:Jun  3 16:15:53 localhost kernel: tomboy[3768]:
segfault at 3116548 ip 03116548 sp bf91c86c error 4 in libSM.so.6.0.0[3383000+8000]
/var/log/messages-20080608:Jun  3 17:51:57 localhost kernel: tomboy[2731]:
segfault at 1592548 ip 01592548 sp bfa62c4c error 4 in
libglibsharpglue-2.so[159f000+2000]
/var/log/messages-20080608:Jun  6 23:30:23 localhost kernel: tomboy[2659]:
segfault at 229c548 ip 0229c548 sp bfef044c error 4 in
libglibsharpglue-2.so[22f3000+2000]
/var/log/messages-20080608:Jun  8 05:04:18 localhost kernel: tomboy[3125]:
segfault at 21d8548 ip 021d8548 sp bf90d2fc error 4 in
libgtk-x11-2.0.so.0.1200.9[248c000+3f9000]
/var/log/messages-20080615:Jun  8 08:44:08 localhost kernel: tomboy[2659]:
segfault at 3c02548 ip 03c02548 sp bfc7848c error 4 in
libgnomeprintui-2-2.so.0.1.0[3c7c000+41000]
/var/log/messages-20080615:Jun 10 20:21:12 localhost kernel: tomboy[2666]:
segfault at 4845548 ip 04845548 sp bfb33f8c error 4 in gconf-sharp.dll[4857000+4000]
/var/log/messages-20080615:Jun 11 06:58:13 localhost kernel: tomboy[2661]:
segfault at 3bc7548 ip 03bc7548 sp bfc80dfc error 4 in
libcairo.so.2.17.5[3d3e000+6d000]
/var/log/messages-20080615:Jun 12 22:20:32 localhost kernel: tomboy[2643]:
segfault at 93ad548 ip 093ad548 sp bfd5219c error 4
/var/log/messages-20080615:Jun 12 23:48:45 localhost kernel: tomboy[2695]:
segfault at 7441548 ip 07441548 sp bfba792c error 4 in
libasound.so.2.0.0[7962000+db000]
/var/log/messages-20080615:Jun 13 21:14:24 localhost kernel: tomboy[2757]:
segfault at 8ff1548 ip 08ff1548 sp bf95c95c error 4 in
libgmime-2.0.so.2.2.18[9240000+47000]
/var/log/messages-20080615:Jun 14 09:32:43 localhost kernel: tomboy[2685]:
segfault at 163f548 ip 0163f548 sp bfc122bc error 4 in
Mono.Addins.dll[165c000+2b000]
/var/log/messages-20080615:Jun 14 21:06:32 localhost kernel: tomboy[2686]:
segfault at 736f548 ip 0736f548 sp bfc28d9c error 4 in
libgconf-2.so.4.1.5[73e7000+34000]
/var/log/messages-20080615:Jun 14 22:01:47 localhost kernel: tomboy[2696]:
segfault at 1604548 ip 01604548 sp bfe1215c error 4 in
libgtksharpglue-2.so[1611000+6000]
/var/log/messages-20080622:Jun 15 13:11:40 localhost kernel: tomboy[2696]:
segfault at 43d3548 ip 043d3548 sp bfcb854c error 4 in
libglib-2.0.so.0.1600.3[48d1000+e0000]
/var/log/messages-20080622:Jun 19 03:17:52 localhost kernel: tomboy[2709]:
segfault at 313e548 ip 0313e548 sp bf98611c error 4 in
libgnomeprintui-2-2.so.0.1.0[340e000+41000]
/var/log/messages-20080622:Jun 19 08:12:00 localhost kernel: tomboy[2699]:
segfault at 1f3b548 ip 01f3b548 sp bfde8a2c error 4 in libnodoka.so[1f6d000+12000]
/var/log/messages-20080622:Jun 19 09:17:59 localhost kernel: tomboy[3978]:
segfault at 22e4548 ip 022e4548 sp bfcbdcdc error 4 in
System.Xml.dll[2540000+133000]
/var/log/messages-20080622:Jun 19 09:21:51 localhost kernel: tomboy[6318]:
segfault at 3685548 ip 03685548 sp bf814c6c error 4 in
libglade-2.0.so.0.0.7[3697000+16000]
/var/log/messages-20080622:Jun 19 09:22:17 localhost kernel: tomboy[6831]:
segfault at 2bce548 ip 02bce548 sp bf8fb55c error 4 in
libcairo.so.2.17.5[2d46000+6d000]
/var/log/messages-20080622:Jun 19 11:54:19 localhost kernel: tomboy[2700]:
segfault at 7f07548 ip 07f07548 sp bfb239ec error 4 in mono[8047000+1f4000]
/var/log/messages-20080630:Jun 22 22:54:01 localhost kernel: tomboy[2709]:
segfault at 6d46548 ip 06d46548 sp bfcefcac error 4 in
icon-theme.cache[6d53000+73a000]
/var/log/messages-20080630:Jun 27 04:52:12 localhost kernel: tomboy[2701]:
segfault at 2cf0548 ip 02cf0548 sp bfc744cc error 4 in libutil-2.8.so[3155000+2000]
/var/log/messages-20080630:Jun 28 19:38:31 localhost kernel: tomboy[2681]:
segfault at 4f52548 ip 04f52548 sp bfbca5bc error 4 in
libpanel-applet-2.so.0.2.34[4fd6000+d000]
/var/log/messages-20080630:Jun 28 20:10:10 localhost kernel: tomboy[22675]:
segfault at 520e548 ip 0520e548 sp bf83d42c error 4 in
libelf-0.133.so[5285000+15000]
/var/log/messages-20080630:Jun 28 20:36:38 localhost kernel: tomboy[23556]:
segfault at 2e27548 ip 02e27548 sp bfe6902c error 4 in
libgssapi_krb5.so.2.2[2eb5000+2d000]
/var/log/messages-20080630:Jun 28 20:40:15 localhost kernel: tomboy[24905]:
segfault at 2268548 ip 02268548 sp bfd436ec error 4 in
libgtk-x11-2.0.so.0.1200.10[248c000+402000]
/var/log/messages-20080630:Jun 28 21:07:38 localhost kernel: tomboy[25530]:
segfault at 17e4548 ip 017e4548 sp bf8da5cc error 4 in
icon-theme.cache[17f1000+5c000]
/var/log/messages-20080630:Jun 28 21:22:34 localhost kernel: tomboy[26319]:
segfault at 2419548 ip 02419548 sp bf8654ec error 4 in System.dll[24fd000+178000]
/var/log/messages-20080630:Jun 28 21:37:41 localhost kernel: tomboy[27000]:
segfault at 14a2548 ip 014a2548 sp bfd3a13c error 4 in
gconv-modules.cache[14cf000+7000]
Comment 9 matthias.guentert 2008-11-03 11:08:21 EST
Same for me here on fully patched Fedora 9 (x86_64)

$ uname -va
Linux hostname 2.6.26.6-79.fc9.x86_64 #1 SMP Fri Oct 17 14:20:33 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

$ zcat messages*.gz | grep tomboy 
Oct  6 19:46:00 hostname kernel: tomboy[3950]: segfault at 34b720 ip 34b720 sp 7fff84246d08 error 14 in mono[400000+1f3000]
Oct  7 00:00:03 hostname kernel: tomboy[6538]: segfault at 34b720 ip 34b720 sp 7fffe6bc8308 error 14 in mono[400000+1f3000]
Oct  8 00:07:20 hostname kernel: tomboy[26518]: segfault at 34b720 ip 34b720 sp 7fff18761be8 error 14 in mono[400000+1f3000]
Oct  8 13:21:33 hostname kernel: tomboy[24959]: segfault at 34b720 ip 34b720 sp 7fff353b6608 error 14 in mono[400000+1f3000]
Oct  9 00:22:31 hostname kernel: tomboy[3948]: segfault at 34b720 ip 34b720 sp 7fff1b132848 error 14 in mono[400000+1f3000]
Oct 10 02:37:06 hostname kernel: tomboy[3861]: segfault at 34b720 ip 34b720 sp 7fff607feb88 error 14 in mono[400000+1f3000]
Oct 10 17:32:11 hostname kernel: tomboy[24186]: segfault at 34b720 ip 34b720 sp 7fff4f117178 error 14 in mono[400000+1f3000]
Oct 12 23:23:03 hostname kernel: tomboy[3897]: segfault at 34b720 ip 34b720 sp 7fff5d58bd78 error 14 in mono[400000+1f3000]
Oct 14 20:40:50 hostname kernel: tomboy[3953]: segfault at 34b720 ip 34b720 sp 7fff8106b008 error 14 in mono[400000+1f3000]
Oct 14 20:41:22 hostname kernel: tomboy[28256]: segfault at 34b720 ip 34b720 sp 7fff377aae48 error 14 in mono[400000+1f3000]
Oct 14 20:41:52 hostname kernel: tomboy[28599]: segfault at 34b720 ip 34b720 sp 7fff6c754de8 error 14 in mono[400000+1f3000]
Oct 14 21:03:41 hostname kernel: tomboy[28938]: segfault at 34b720 ip 34b720 sp 7fff5d077708 error 14 in mono[400000+1f3000]
Oct 14 23:21:51 hostname kernel: tomboy[29681]: segfault at 34b730 ip 34b730 sp 7fff5127d918 error 14 in mono[400000+1f3000]
Oct 15 07:54:11 hostname kernel: tomboy[3978]: segfault at 34b720 ip 34b720 sp 7fffbbb0d318 error 14 in mono[400000+1f3000]
Oct 15 18:29:43 hostname kernel: tomboy[8039]: segfault at 34b720 ip 34b720 sp 7fff5e4330d8 error 14 in mono[400000+1f3000]
Oct 15 18:30:14 hostname kernel: tomboy[25807]: segfault at 34b720 ip 34b720 sp 7fffcb1187a8 error 14 in mono[400000+1f3000]
Oct 15 18:30:41 hostname kernel: tomboy[26239]: segfault at 34b720 ip 34b720 sp 7fff91107798 error 14 in mono[400000+1f3000]
Oct 15 18:31:07 hostname kernel: tomboy[26658]: segfault at 34b720 ip 34b720 sp 7fff8eeef588 error 14 in mono[400000+1f3000]
Oct 16 23:51:49 hostname kernel: tomboy[4065]: segfault at 34b720 ip 34b720 sp 7fff65b62168 error 14 in mono[400000+1f3000]
Oct 17 11:10:28 hostname kernel: tomboy[3886]: segfault at 34b730 ip 34b730 sp 7fff195d3818 error 14 in mono[400000+1f3000]
Oct 18 04:16:16 hostname kernel: tomboy[3964]: segfault at 34b720 ip 34b720 sp 7fff88fd7e48 error 14 in mono[400000+1f3000]
Oct 18 10:47:42 hostname kernel: tomboy[3849]: segfault at 34b720 ip 34b720 sp 7fffde7805e8 error 14 in mono[400000+1f3000]
Oct 19 03:59:04 hostname kernel: tomboy[3890]: segfault at 34b720 ip 34b720 sp 7fffe7f93738 error 14 in mono[400000+1f3000]
Oct 20 00:12:45 hostname kernel: tomboy[3933]: segfault at 34b730 ip 34b730 sp 7fff92ee2e28 error 14 in mono[400000+1f3000]
Oct 20 11:21:44 hostname kernel: tomboy[3953]: segfault at 34b720 ip 34b720 sp 7fffef578d18 error 14 in mono[400000+1f3000]
Oct 22 00:54:08 hostname kernel: tomboy[6467]: segfault at 34b720 ip 34b720 sp 7fff1e9148b8 error 14 in mono[400000+1f3000]
Oct 22 19:07:34 hostname kernel: tomboy[7351]: segfault at 34b720 ip 34b720 sp 7fffe4c96848 error 14 in mono[400000+1f3000]
Oct 22 23:46:05 hostname kernel: tomboy[22470]: segfault at 34b720 ip 34b720 sp 7fff269ae048 error 14 in mono[400000+1f3000]
Oct 24 00:22:01 hostname kernel: tomboy[3950]: segfault at 34b720 ip 34b720 sp 7fff27f3a678 error 14 in mono[400000+1f3000]
Oct 24 21:24:28 hostname kernel: tomboy[3932]: segfault at 34b720 ip 34b720 sp 7fff85d66268 error 14 in mono[400000+1f3000]
Oct 25 18:10:00 hostname kernel: tomboy[3792]: segfault at 34b720 ip 34b720 sp 7fffb2c82788 error 14 in mono[400000+1f3000]
Oct 26 12:21:23 hostname kernel: tomboy[3752]: segfault at 34b5a0 ip 34b5a0 sp 7fff2ae4cf38 error 14 in mono[400000+1f3000]
Oct 26 18:10:14 hostname kernel: tomboy[3780]: segfault at 34b5a0 ip 34b5a0 sp 7fff6188bb28 error 14 in mono[400000+1f3000]

$ cat messages | grep tomboy 
Nov  2 13:35:49 hostname kernel: tomboy[4045]: segfault at 34b5a0 ip 34b5a0 sp 7fff3f906cd8 error 14 in mono[400000+1f3000]

So this seems to occur everytime I log into the system, anyhow Tomboy seems to work stable. Is there someone trying the smash my stack???

Please let me now if you need further information...
Comment 10 Bug Zapper 2009-06-09 20:33:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 David Timms 2009-07-05 10:29:45 EDT
(In reply to comment #10)
Checking recent 
# grep tomboy /var/log/messages*
Shows no further instances of this segfault on my F10 (0.12.0-5.fc10.x86_64) and F11 (tomboy-0.14.2-1.fc11.i586) machines. I use tomboy extensively on the F11 machine so I would suggest changing this to resolved in F10.

Note You need to log in before you can comment on or make changes to this bug.